# API

- [Introduction](https://docs.trustedsite.com/docs/api/introduction.md): The TrustedSite API enables customers and partners to programmatically integrate certain components of TrustedSite services into their applications.
- [Authentication](https://docs.trustedsite.com/docs/api/introduction/authentication.md): The TrustedSite API supports pagination and sorting on records that contain lists.
- [Data Types](https://docs.trustedsite.com/docs/api/introduction/data-types.md): The TrustedSite API supports several types of values for filtering.
- [Pagination & Sorting](https://docs.trustedsite.com/docs/api/introduction/pagination-and-sorting.md)
- [Appendix](https://docs.trustedsite.com/docs/api/introduction/appendix.md): Common references are provided below.
- [Endpoints](https://docs.trustedsite.com/docs/api/endpoints.md)
- [User](https://docs.trustedsite.com/docs/api/endpoints/user.md): The User endpoint provides methods for retrieving and updating information related to your account, as well as inviting new users.
- [Account](https://docs.trustedsite.com/docs/api/endpoints/account.md): The Account endpoint provides methods for listing and adding subscriptions to the current account.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustedsite.com/docs/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
